# Interface IdUserPasswordResetServiceType

All Superinterfaces:
  `com.io7m.repetoir.core.RPServiceType`

All Known Implementing Classes:
  `IdUserPasswordResetService`

public interface IdUserPasswordResetServiceType extends com.io7m.repetoir.core.RPServiceType
The user password reset service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `resetBegin(String sourceHost, String userAgent, UUID requestId, Optional<String> email, Optional<String> userName)`
  Start a password reset.
  `IdToken`
  `resetCheck(String sourceHost, String userAgent, UUID requestId, Optional<String> token)`
  Check a password reset token.
  `void`
  `resetConfirm(String sourceHost, String userAgent, UUID requestId, Optional<String> password0Opt, Optional<String> password1Opt, Optional<String> tokenOpt)`
  Confirm a password reset.

  ### Methods inherited from interface com.io7m.repetoir.core.RPServiceType

  `description`

- ## Method Details

  - ### resetBegin

    void resetBegin(String sourceHost, String userAgent, UUID requestId, Optional<String> email, Optional<String> userName) throws IdCommandExecutionFailure
    Start a password reset.
    Parameters:
      `sourceHost` - The source remoteHost of the request
      `userAgent` - The user agent
      `requestId` - The request ID
      `email` - The email
      `userName` - The username
    Throws:
      `IdCommandExecutionFailure` - On errors

  - ### resetCheck

    IdToken resetCheck(String sourceHost, String userAgent, UUID requestId, Optional<String> token) throws IdCommandExecutionFailure
    Check a password reset token.
    Parameters:
      `sourceHost` - The source remoteHost of the request
      `userAgent` - The user agent
      `requestId` - The request ID
      `token` - The token
    Returns:
      The checked token
    Throws:
      `IdCommandExecutionFailure` - On errors

  - ### resetConfirm

    void resetConfirm(String sourceHost, String userAgent, UUID requestId, Optional<String> password0Opt, Optional<String> password1Opt, Optional<String> tokenOpt) throws IdCommandExecutionFailure
    Confirm a password reset.
    Parameters:
      `sourceHost` - The source remoteHost of the request
      `userAgent` - The user agent
      `requestId` - The request ID
      `password0Opt` - The password
      `password1Opt` - The confirmed password
      `tokenOpt` - The reset token
    Throws:
      `IdCommandExecutionFailure` - On errors